import { defineComponent as B, computed as O, createElementBlock as l, openBlock as a, normalizeClass as _, createCommentVNode as T, renderSlot as k, createTextVNode as re, createElementVNode as n, Fragment as $, renderList as C, toDisplayString as S, ref as x, h as se, onMounted as Y, watch as j, withDirectives as z, createVNode as X, isRef as Ie, vModelCheckbox as Oe, unref as U, provide as Be, normalizeStyle as ie, inject as Ve, defineAsyncComponent as Pe, onBeforeUnmount as Ae, createBlock as pe, resolveDynamicComponent as fe, mergeProps as me, nextTick as ve, onUnmounted as he, vModelSelect as E, vModelText as ne } from "vue";
const ze = {
  key: 0,
  class: "loading loading-spinner"
}, An = /* @__PURE__ */ B({
  __name: "ButtonComponent",
  props: {
    outlined: { type: Boolean, default: !1 },
    active: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    type: {},
    size: {},
    shape: {}
  },
  setup(i) {
    const d = i, e = O(() => {
      switch (d.size) {
        case "large":
          return "btn-lg";
        case "small":
          return "btn-sm";
        case "tiny":
          return "btn-tiny";
        case "wide":
          return "btn-wide";
        case "full":
          return "w-full";
        default:
          return "";
      }
    }), t = O(() => {
      switch (d.type) {
        case "neutral":
          return "btn-neutral";
        case "primary":
          return "btn-primary";
        case "secondary":
          return "btn-secondary";
        case "accent":
          return "btn-accent";
        case "ghost":
          return "btn-ghost";
        case "link":
          return "btn-link px-0!";
        case "info":
          return "btn-info";
        case "success":
          return "btn-success";
        case "warning":
          return "btn-warning";
        case "error":
          return "btn-error";
        default:
          return "btn-neutral";
      }
    }), o = O(() => {
      switch (d.shape) {
        case "square":
          return "btn-square";
        case "circle":
          return "btn-circle";
        default:
          return "";
      }
    });
    return (s, c) => (a(), l("button", {
      class: _(["btn", { "btn-outline": d.outlined }, { "btn-active": d.active }, t.value, e.value, o.value])
    }, [
      s.loading ? (a(), l("span", ze)) : T("", !0),
      k(s.$slots, "default", {}, () => [
        c[0] || (c[0] = re("Submit"))
      ])
    ], 2));
  }
}), Ue = {
  tabindex: "0",
  class: "z-1 bg-base-100 shadow-sm p-2 rounded-sm min-w-[inherit] md:min-w-full xl:min-w-52 dropdown-content menu"
}, Ne = ["href"], zn = /* @__PURE__ */ B({
  __name: "dropdown",
  props: {
    items: {},
    position: { default: "bottom" },
    floatPosition: { default: "start" },
    openOnHover: { type: Boolean, default: !1 },
    forceOpen: { type: Boolean, default: !1 }
  },
  setup(i) {
    const d = {
      left: "dropdown-left",
      right: "dropdown-right",
      bottom: "dropdown-bottom",
      top: "dropdown-top"
    }, e = {
      start: "",
      end: "dropdown-end"
    }, t = i;
    return (o, s) => (a(), l("div", {
      class: _(["dropdown", d[t.position], e[t.floatPosition], { "dropdown-open": t.forceOpen }, { "dropdown-hover": t.openOnHover }])
    }, [
      k(o.$slots, "default", {
        tabindex: "0",
        role: "button"
      }, () => [
        s[0] || (s[0] = n("div", { class: "m-1 btn" }, "Open dropdown", -1))
      ]),
      n("ul", Ue, [
        (a(!0), l($, null, C(o.items, (c) => (a(), l("li", null, [
          n("a", {
            href: c.link
          }, S(c.text), 9, Ne)
        ]))), 256)),
        k(o.$slots, "additional")
      ])
    ], 2));
  }
}), je = { class: "modal-box" }, Re = { class: "modal-action" }, Un = /* @__PURE__ */ B({
  __name: "modal",
  props: {
    position: { default: "center" },
    withBackdrop: { type: Boolean, default: !1 }
  },
  setup(i) {
    const d = i, e = {
      top: "modal-top",
      bottom: "modal-bottom",
      center: "modal-middle"
    }, t = x(null), o = () => {
      var c;
      (c = t.value) == null || c.showModal();
    }, s = () => {
      var c;
      (c = t.value) == null || c.close();
    };
    return (c, h) => (a(), l($, null, [
      n("span", {
        class: "w-fit cursor-pointer",
        onClick: o
      }, [
        k(c.$slots, "trigger", { role: "button" }, () => [
          h[0] || (h[0] = n("button", { class: "btn" }, "Open", -1))
        ])
      ]),
      n("dialog", {
        ref_key: "dialog",
        ref: t,
        class: _(["modal", e[d.position]])
      }, [
        n("div", je, [
          k(c.$slots, "default"),
          n("div", Re, [
            k(c.$slots, "actions"),
            n("form", {
              method: "dialog",
              onSubmit: s,
              class: _(c.withBackdrop ? "modal-backdrop" : "")
            }, [
              k(c.$slots, "close-button", {}, () => [
                h[1] || (h[1] = n("button", { class: "btn" }, "Close", -1))
              ])
            ], 34)
          ])
        ])
      ], 2)
    ], 64));
  }
}), Le = { class: "swap-on" }, Fe = { class: "swap-off" }, Nn = /* @__PURE__ */ B({
  __name: "swap",
  props: {
    effect: {}
  },
  setup(i) {
    const d = i;
    return (e, t) => (a(), l("label", {
      class: _(["swap", d.effect ? `swap-${e.effect}` : ""])
    }, [
      t[0] || (t[0] = n("input", { type: "checkbox" }, null, -1)),
      n("div", Le, [
        k(e.$slots, "on")
      ]),
      n("div", Fe, [
        k(e.$slots, "off")
      ])
    ], 2));
  }
});
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const Ee = (i) => i.replace(/([a-z0-9])([A-Z])/g, "$1-$2").toLowerCase();
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
var te = {
  xmlns: "http://www.w3.org/2000/svg",
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  stroke: "currentColor",
  "stroke-width": 2,
  "stroke-linecap": "round",
  "stroke-linejoin": "round"
};
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const He = ({ size: i, strokeWidth: d = 2, absoluteStrokeWidth: e, color: t, iconNode: o, name: s, class: c, ...h }, { slots: v }) => se(
  "svg",
  {
    ...te,
    width: i || te.width,
    height: i || te.height,
    stroke: t || te.stroke,
    "stroke-width": e ? Number(d) * 24 / Number(i) : d,
    class: ["lucide", `lucide-${Ee(s ?? "icon")}`],
    ...h
  },
  [...o.map((m) => se(...m)), ...v.default ? [v.default()] : []]
);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const ae = (i, d) => (e, { slots: t }) => se(
  He,
  {
    ...e,
    iconNode: d,
    name: i
  },
  t
);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const qe = ae("CalendarIcon", [
  ["path", { d: "M8 2v4", key: "1cmpym" }],
  ["path", { d: "M16 2v4", key: "4m81vk" }],
  ["rect", { width: "18", height: "18", x: "3", y: "4", rx: "2", key: "1hopcy" }],
  ["path", { d: "M3 10h18", key: "8toen8" }]
]);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const We = ae("MoonIcon", [
  ["path", { d: "M12 3a6 6 0 0 0 9 9 9 9 0 1 1-9-9Z", key: "a7tn18" }]
]);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const ge = ae("SearchIcon", [
  ["circle", { cx: "11", cy: "11", r: "8", key: "4ej97u" }],
  ["path", { d: "m21 21-4.3-4.3", key: "1qie3q" }]
]);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const Ye = ae("SunIcon", [
  ["circle", { cx: "12", cy: "12", r: "4", key: "4exip2" }],
  ["path", { d: "M12 2v2", key: "tus03m" }],
  ["path", { d: "M12 20v2", key: "1lh1kg" }],
  ["path", { d: "m4.93 4.93 1.41 1.41", key: "149t6j" }],
  ["path", { d: "m17.66 17.66 1.41 1.41", key: "ptbguv" }],
  ["path", { d: "M2 12h2", key: "1t8f8n" }],
  ["path", { d: "M20 12h2", key: "1q8mjw" }],
  ["path", { d: "m6.34 17.66-1.41 1.41", key: "1m8zz5" }],
  ["path", { d: "m19.07 4.93-1.41 1.41", key: "1shlcs" }]
]), Je = (i, d) => {
  const e = x(null);
  return Y(() => {
    if (typeof window < "u") {
      const t = window.localStorage.getItem(i);
      e.value = t ? JSON.parse(t) : d;
    }
  }), j(e, (t) => {
    typeof window < "u" && window.localStorage.setItem(i, JSON.stringify(t));
  }), e;
}, Ge = { class: "swap-rotate swap" }, Ke = ["true-value", "false-value"], jn = /* @__PURE__ */ B({
  __name: "theme-controller",
  props: {
    lightTheme: { default: "light" },
    darkTheme: { default: "dark" }
  },
  setup(i) {
    const d = i, e = Je("theme", d.lightTheme);
    function t(o) {
      typeof window < "u" && window.document && document.documentElement.setAttribute("data-theme", o);
    }
    return Y(() => t(e.value ? e.value : "")), j(e, (o) => {
      t(o);
    }), (o, s) => (a(), l("label", Ge, [
      z(n("input", {
        type: "checkbox",
        class: "theme-controller",
        "onUpdate:modelValue": s[0] || (s[0] = (c) => Ie(e) ? e.value = c : null),
        "true-value": d.lightTheme,
        "false-value": d.darkTheme
      }, null, 8, Ke), [
        [Oe, U(e)]
      ]),
      X(U(Ye), { class: "swap-off fill-current" }),
      X(U(We), { class: "swap-on fill-current" })
    ]));
  }
}), Xe = ["name"], Ze = { class: "collapse-title font-bold text-2xl lg:text-4xl" }, Qe = { class: "collapse-content" }, et = ["innerHTML"], Rn = /* @__PURE__ */ B({
  __name: "accordion",
  props: {
    name: {},
    items: {},
    joinItems: { type: Boolean, default: !1 },
    icon: {}
  },
  setup(i) {
    const d = i;
    return (e, t) => (a(!0), l($, null, C(d.items, (o, s) => (a(), l("div", {
      class: _(["collapse border border-base-300", [e.icon ? `collapse-${e.icon}` : "", { "join-item": e.joinItems }]]),
      key: s
    }, [
      n("input", {
        type: "radio",
        name: e.name,
        value: "true"
      }, null, 8, Xe),
      n("div", Ze, S(o.title), 1),
      n("div", Qe, [
        n("span", {
          innerHTML: o.content
        }, null, 8, et)
      ])
    ], 2))), 128));
  }
}), tt = ["src"], nt = { class: "text-xl" }, Ln = /* @__PURE__ */ B({
  __name: "avatar",
  props: {
    image: {},
    onlineStatus: { default: "none" },
    initials: {},
    fullyRounded: { type: Boolean, default: !1 }
  },
  setup(i) {
    const d = i, e = x(d.onlineStatus);
    return j(
      () => d.onlineStatus,
      (t) => {
        t && (e.value = t);
      }
    ), (t, o) => (a(), l("div", {
      class: _(["avatar", [{ "avatar-online": e.value === "online" }, { "avatar-offline": e.value === "offline" }]])
    }, [
      t.image ? (a(), l("div", {
        key: 0,
        class: _(["rounded", [{ "rounded-full": t.fullyRounded }, { rounded: !t.fullyRounded }]])
      }, [
        n("img", {
          src: t.image,
          class: "w-full h-full"
        }, null, 8, tt)
      ], 2)) : (a(), l("div", {
        key: 1,
        class: _(["flex justify-center bg-neutral p-[25%] rounded w-16 text-neutral-content text-center", [{ "rounded-full": t.fullyRounded }, { rounded: !t.fullyRounded }]])
      }, [
        n("p", nt, S(t.initials), 1)
      ], 2))
    ], 2));
  }
}), Fn = /* @__PURE__ */ B({
  __name: "badge",
  props: {
    color: { default: "neutral" },
    outline: { type: Boolean, default: !1 },
    size: { default: "medium" }
  },
  setup(i) {
    const d = i, e = {
      "extra small": "badge-xs",
      small: "badge-sm",
      medium: "badge-md",
      large: "badge-lg"
    }, t = {
      neutral: "badge-neutral",
      primary: "badge-primary",
      secondary: "badge-secondary",
      accent: "badge-accent",
      ghost: "badge-ghost",
      info: "badge-info",
      success: "badge-success",
      warning: "badge-warning",
      error: "badge-error"
    };
    return (o, s) => (a(), l("span", {
      class: _(["badge", e[d.size], t[d.color], { "badge-outline": d.outline }])
    }, [
      k(o.$slots, "default")
    ], 2));
  }
}), at = ["src", "alt"], lt = {
  key: 1,
  class: "w-full h-32 skeleton"
}, ot = {
  key: 0,
  class: "card-body"
}, st = {
  key: 0,
  class: "group-hover:text-primary text-lg text-left cursor-pointer card-title"
}, rt = {
  key: 1,
  class: "text-left"
}, it = { class: "flex-col flex-nowrap mt-auto card-actions" }, ut = {
  key: 1,
  class: "card-body"
}, En = /* @__PURE__ */ B({
  __name: "card",
  props: {
    imgUrl: { default: "" },
    alt: { default: "A beautiful picture that says something about this card" },
    title: { default: "" },
    description: { default: "" },
    outlined: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    class: { default: "" },
    background: { default: "bg-base-100" },
    color: { default: "" }
  },
  setup(i) {
    const d = i, e = x(d.outlined);
    return j(
      () => d.outlined,
      (t) => {
        e.value = t;
      }
    ), (t, o) => (a(), l("div", {
      class: _(["group bg-base-100 shadow-xl rounded-sm min-w-64 max-w-full h-full card card-compact", [{ "border-4 border-primary": e.value }, t.color ?? "", t.background]])
    }, [
      n("figure", null, [
        t.imgUrl || t.imgUrl && !t.loading ? (a(), l("img", {
          key: 0,
          src: t.imgUrl,
          alt: t.alt,
          class: _(["rounded-sm w-full h-44 object-cover", {
            hidden: t.loading
          }])
        }, null, 10, at)) : T("", !0),
        t.loading && t.imgUrl ? (a(), l("div", lt)) : T("", !0)
      ]),
      t.loading ? T("", !0) : (a(), l("div", ot, [
        t.title ? (a(), l("h2", st, S(t.title), 1)) : T("", !0),
        k(t.$slots, "details"),
        t.description ? (a(), l("p", rt, S(t.description), 1)) : T("", !0),
        n("div", it, [
          k(t.$slots, "actions")
        ])
      ])),
      t.loading ? (a(), l("div", ut, o[0] || (o[0] = [
        n("div", { class: "flex flex-col gap-4 w-52" }, [
          n("div", { class: "w-28 h-4 skeleton" }),
          n("div", { class: "w-full h-4 skeleton" }),
          n("div", { class: "w-full h-4 skeleton" })
        ], -1)
      ]))) : T("", !0)
    ], 2));
  }
}), be = Symbol("CarouselItemStyle"), dt = { class: "relative h-full" }, ct = {
  key: 0,
  class: "top-1/2 right-5 left-5 z-10 absolute flex justify-between -translate-y-1/2 transform"
}, pt = {
  key: 1,
  class: "bottom-5 z-10 absolute flex justify-center gap-2 py-2 w-full"
}, ft = ["onClick", "aria-label"], mt = /* @__PURE__ */ B({
  __name: "carousel",
  props: {
    showIndicators: {
      type: Boolean,
      default: !0
    },
    showNavigationButtons: {
      type: Boolean,
      default: !0
    },
    sliderOrientation: {
      type: String,
      default: "horizontal",
      required: !1,
      validator: (i) => i == "horizontal" || i == "vertical"
    },
    initialSlide: {
      type: Number,
      default: 0
    },
    slidesPerView: {
      type: Number,
      default: 1,
      validator: (i) => i >= 1
    },
    gap: {
      type: Number,
      default: 0,
      validator: (i) => i >= 0
    },
    slideDuration: {
      type: Number,
      default: 300,
      validator: (i) => i >= 0
    }
  },
  setup(i, { expose: d }) {
    const e = i, t = x(e.initialSlide), o = x(null), s = x(!1), c = x(0), h = O(() => ({
      width: `calc((100% - ${e.slidesPerView > 1 ? (e.slidesPerView - 1) * e.gap : 0}px) / ${e.slidesPerView})`
    }));
    Be(be, h);
    const v = () => {
      o.value ? c.value = o.value.children.length : c.value = 0;
    }, m = async (f) => {
      if (!o.value || e.slidesPerView <= 0 || s.value || (v(), c.value === 0)) return;
      const b = (f % c.value + c.value) % c.value, g = o.value, D = e.sliderOrientation === "vertical" ? (g.offsetHeight - (e.slidesPerView - 1) * e.gap) / e.slidesPerView : (g.offsetWidth - (e.slidesPerView - 1) * e.gap) / e.slidesPerView;
      if (D <= 0) return;
      const w = D + e.gap, I = b * w, P = e.sliderOrientation === "vertical" ? g.scrollHeight - g.offsetHeight : g.scrollWidth - g.offsetWidth, R = Math.max(0, Math.min(I, P + 0.5));
      s.value = !0, g.style.scrollBehavior = "auto";
      const L = e.sliderOrientation === "vertical" ? g.scrollTop : g.scrollLeft, q = R - L;
      if (Math.abs(q) < 1) {
        s.value = !1, t.value = b;
        return;
      }
      const J = performance.now(), Z = (le) => {
        const W = le - J, A = Math.min(1, W / e.slideDuration), oe = A < 0.5 ? 4 * A * A * A : 1 - Math.pow(-2 * A + 2, 3) / 2, Q = L + q * oe;
        e.sliderOrientation === "vertical" ? g.scrollTop = Q : g.scrollLeft = Q, A < 1 ? requestAnimationFrame(Z) : (e.sliderOrientation === "vertical" ? g.scrollTop = R : g.scrollLeft = R, t.value = b, s.value = !1);
      };
      requestAnimationFrame(Z);
    }, y = () => {
      m(t.value + 1);
    }, N = () => {
      m(t.value - 1);
    }, H = (f) => {
      m(f);
    }, M = () => {
      if (!o.value || e.slidesPerView <= 0 || (v(), c.value === 0)) return;
      const f = o.value, b = e.sliderOrientation === "vertical" ? f.offsetHeight : f.offsetWidth, g = e.slidesPerView > 1 ? (e.slidesPerView - 1) * e.gap : 0, D = (b - g) / e.slidesPerView;
      if (D <= 0) return;
      const w = Math.max(0, c.value - e.slidesPerView), I = Math.min(Math.max(0, e.initialSlide), w), P = I * (D + e.gap), R = e.sliderOrientation === "vertical" ? f.scrollHeight - f.offsetHeight : f.scrollWidth - f.offsetWidth, L = Math.max(0, Math.min(P, R + 0.5));
      e.sliderOrientation === "vertical" ? f.scrollTo({ top: L, behavior: "auto" }) : f.scrollTo({ left: L, behavior: "auto" }), t.value = I;
    };
    return Y(() => {
      requestAnimationFrame(() => {
        requestAnimationFrame(M);
      }), v();
    }), j(() => e.initialSlide, (f) => {
      requestAnimationFrame(() => m(f));
    }), j(() => [e.slidesPerView, e.gap], () => {
      requestAnimationFrame(() => {
        requestAnimationFrame(() => {
          if (v(), c.value === 0) return;
          const f = Math.max(0, c.value - e.slidesPerView), b = Math.min(t.value, f), g = e.slideDuration;
          e.slideDuration = 0, m(b), e.slideDuration = g;
        });
      });
    }), d({ scrollToSlide: m }), (f, b) => (a(), l("div", dt, [
      n("div", {
        ref_key: "carouselContainer",
        ref: o,
        class: _(["rounded w-full h-full overflow-x-scroll scroll-smooth carousel", [{ "carousel-horizontal md:snap-none": i.sliderOrientation == "horizontal" }, { "carousel-vertical": i.sliderOrientation == "vertical" }]]),
        style: ie({ gap: `${i.gap}px` })
      }, [
        k(f.$slots, "default", {}, void 0, !0)
      ], 6),
      i.showNavigationButtons ? (a(), l("div", ct, [
        n("div", {
          onClick: N,
          role: "button",
          "aria-label": "Previous Slide"
        }, [
          k(f.$slots, "prevButton", {}, () => [
            b[0] || (b[0] = n("button", {
              class: "btn btn-circle",
              tabindex: "-1"
            }, "❮", -1))
          ], !0)
        ]),
        n("div", {
          onClick: y,
          role: "button",
          "aria-label": "Next Slide"
        }, [
          k(f.$slots, "nextButton", {}, () => [
            b[1] || (b[1] = n("button", {
              class: "btn btn-circle",
              tabindex: "-1"
            }, "❯", -1))
          ], !0)
        ])
      ])) : T("", !0),
      i.showIndicators ? (a(), l("div", pt, [
        (a(!0), l($, null, C(c.value, (g, D) => (a(), l("button", {
          key: `dot-${D}`,
          onClick: (w) => H(D),
          class: _(["btn btn-circle btn-xs", { "btn-active": D === t.value }]),
          "aria-label": `Go to slide ${D + 1}`
        }, null, 10, ft))), 128))
      ])) : T("", !0)
    ]));
  }
}), G = (i, d) => {
  const e = i.__vccOpts || i;
  for (const [t, o] of d)
    e[t] = o;
  return e;
}, Hn = /* @__PURE__ */ G(mt, [["__scopeId", "data-v-db55a6a5"]]), vt = /* @__PURE__ */ B({
  __name: "carouselItem",
  setup(i) {
    const d = Ve(be, x({}));
    return (e, t) => (a(), l("div", {
      class: "w-full h-full carousel-item",
      style: ie(U(d))
    }, [
      k(e.$slots, "default", {}, void 0, !0)
    ], 4));
  }
}), qn = /* @__PURE__ */ G(vt, [["__scopeId", "data-v-507384bc"]]), gt = { class: "flex gap-4 bg-base-100 w-full tabs tabs-boxed" }, ht = ["onClick"], bt = { class: "text-sm" }, yt = { class: "md:block hidden opacity-35 text-xs truncate overflow-hidden ..." }, wt = { class: "hidden" }, kt = {
  id: "advancedSearchMobile",
  class: "modal"
}, $t = { class: "modal-box" }, _t = { class: "font-bold text-lg" }, St = ["checked"], xt = { class: "flex justify-between items-center pr-4 w-full font-medium text-xl collapse-title" }, Ct = { class: "text-sm" }, Dt = { class: "flex place-content-center p-0 collapse-content" }, Tt = /* @__PURE__ */ B({
  __name: "advancedSearch",
  props: {
    searchOptions: {},
    currentCategory: {}
  },
  emits: ["search", "update:search-data"],
  setup(i, { emit: d }) {
    const e = i, t = d, o = x(null), s = {
      datetime: Pe(() => Promise.resolve().then(() => Qt))
    }, c = x({}), h = x({ left: "0px", top: "0px", transform: "translateX(0%)" }), v = x(null);
    function m(f, b) {
      var g, D, w;
      if ((g = o.value) != null && g.name) {
        t("update:search-data", {
          tab: o.value.name,
          data: f
        });
        return;
      }
      if (e.searchOptions) {
        let I = (w = (D = e.searchOptions) == null ? void 0 : D.find((P) => (P == null ? void 0 : P.category) === e.currentCategory)) == null ? void 0 : w.tabs[b];
        I !== void 0 && (I.value = f, t("update:search-data", {
          tab: I == null ? void 0 : I.name,
          data: I == null ? void 0 : I.value
        }));
      }
    }
    function y() {
      t("search");
    }
    async function N(f) {
      v.value && !v.value.contains(f.target) && (await ve(), o.value = null);
    }
    async function H() {
      if (typeof window < "u" && window.innerWidth <= 768) {
        const f = document.getElementById("advancedSearchMobile");
        f ? f.showModal() : console.warn("Modal element not found.");
      }
    }
    async function M(f) {
      var g;
      o.value = f, await ve();
      const b = c.value[f.name];
      if (b) {
        const D = b.getBoundingClientRect(), w = ((g = v.value) == null ? void 0 : g.getBoundingClientRect()) || { left: 0, top: 0 };
        window.innerWidth > 768 ? h.value = {
          left: `${D.left + D.width / 2 - w.left}px`,
          top: `${D.bottom - w.top}px`,
          transform: "translateX(-50%)"
        } : h.value = {
          left: "50%",
          top: `${D.bottom - w.top}px`,
          transform: "translateX(-50%)"
          // Center the popup horizontally on mobile
        };
      } else
        console.error("Tab element not found for:", f.name);
    }
    return Y(() => {
      document.addEventListener("click", N);
    }), Ae(() => {
      document.removeEventListener("click", N);
    }), (f, b) => {
      var g, D;
      return a(), l($, null, [
        n("div", {
          ref_key: "searchContainer",
          ref: v,
          class: "w-full"
        }, [
          n("div", {
            class: "group/search relative flex place-items-center border-2 shadow-md p-2 border-base-300/25 rounded-sm w-full transition-all cursor-pointer md:cursor-auto",
            onClick: H
          }, [
            n("div", gt, [
              (a(!0), l($, null, C(((g = e.searchOptions.find((w) => w.category === e.currentCategory)) == null ? void 0 : g.tabs) || [], (w) => {
                var I;
                return a(), l("button", {
                  key: w.name,
                  onClick: (P) => M(w),
                  class: _([{ "tab-active": ((I = o.value) == null ? void 0 : I.name) === w.name }, "group/searchitem relative after:top-0 after:-right-2 after:absolute first-of-type:flex-auto last-of-type:flex-auto md:after:content-[''] last-of-type:after:content-none after:content-none after:bg-base-200 hover:bg-base-200 p-1 rounded-sm w-auto after:w-[1px] after:h-10 text-start overflow-x-hidden pointer-events-none md:pointer-events-auto"]),
                  ref_for: !0,
                  ref: (P) => c.value[w.name] = P
                }, [
                  n("p", bt, S(w.name), 1),
                  n("p", yt, S(w.description), 1)
                ], 10, ht);
              }), 128))
            ]),
            o.value ? (a(), l("div", {
              key: 0,
              class: "absolute flex shadow-sm mt-4 w-fit max-w-full transition-all tab-content",
              style: ie(h.value)
            }, [
              (a(), pe(fe(s[o.value.type]), me(o.value.props ? o.value.props : null, { onUpdated: m }), null, 16))
            ], 4)) : T("", !0),
            n("button", {
              title: "search",
              type: "submit",
              class: "ml-1 btn btn-primary btn-square",
              onClick: y
            }, [
              X(U(ge), {
                size: 24,
                color: "white"
              })
            ])
          ]),
          n("div", wt, [
            n("button", {
              title: "search",
              onClick: b[0] || (b[0] = () => {
              })
            }, [
              X(U(ge), {
                size: 24,
                color: "white"
              })
            ])
          ])
        ], 512),
        n("dialog", kt, [
          n("div", $t, [
            k(f.$slots, "additionalForMobile", {}, () => [
              n("h3", _t, S(f.currentCategory), 1)
            ], !0),
            (a(!0), l($, null, C(((D = e.searchOptions.find((w) => w.category === e.currentCategory)) == null ? void 0 : D.tabs) || [], (w, I) => (a(), l("div", {
              class: "bg-base-200 my-4 collapse",
              key: w.name
            }, [
              n("input", {
                type: "radio",
                name: "my-accordion-1",
                checked: I === 0
              }, null, 8, St),
              n("div", xt, [
                re(S(w.name) + " ", 1),
                n("p", Ct, S(w.description), 1)
              ]),
              n("div", Dt, [
                b[1] || (b[1] = n("br", null, null, -1)),
                (a(), pe(fe(s[w.type]), me({ ref_for: !0 }, w.props || {}, {
                  onUpdated: (P) => m(P, I)
                }), null, 16, ["onUpdated"]))
              ])
            ]))), 128)),
            n("div", { class: "modal-action" }, [
              n("form", { method: "dialog" }, [
                n("button", {
                  class: "btn btn-primary",
                  onClick: y
                }, "Close and Search")
              ])
            ])
          ])
        ])
      ], 64);
    };
  }
}), Wn = /* @__PURE__ */ G(Tt, [["__scopeId", "data-v-08fa37eb"]]), Mt = ["placeholder", "value", "id"], It = { class: "btn btn-ghost" }, Ot = ["id"], Bt = {
  key: 0,
  class: "flex justify-between items-center place-content-center mb-4"
}, Vt = ["value"], Pt = ["value"], At = {
  key: 1,
  class: "gap-2 grid grid-cols-7"
}, zt = ["onClick"], Ut = {
  key: 2,
  class: "mt-4 lg:w-80"
}, Nt = {
  key: 0,
  class: "mb-2 font-bold text-lg"
}, jt = { key: 1 }, Rt = {
  key: 1,
  class: "flex gap-4"
}, Lt = ["value"], Ft = ["value"], Et = {
  key: 2,
  class: "flex flex-col gap-4"
}, Ht = {
  key: 1,
  class: "flex gap-2"
}, qt = ["value"], Wt = ["value"], Yt = {
  key: 1,
  class: "flex gap-2"
}, Jt = ["value"], Gt = ["value"], Kt = { class: "flex gap-2 mt-4" }, Xt = {
  __name: "datetimePicker",
  props: {
    mode: {
      type: String,
      default: "datetime",
      // 'datetime', 'date', 'time'
      validator: (i) => ["datetime", "date", "time"].includes(i)
    },
    range: {
      type: Boolean,
      default: !1
    },
    placeholder: {
      type: String,
      default: "Select date and time"
    },
    popup: {
      type: Boolean,
      default: !1
    },
    id: {
      type: String,
      default: "datetimepicker"
    },
    initialDate: {
      type: Object,
      default: () => null
    }
  },
  emits: ["updated"],
  setup(i, { emit: d }) {
    const e = i;
    j(() => e.range, (u) => {
      u ? (s.value = { start: null, end: null }, c.value = { start: null, end: null }) : (s.value = null, c.value = null);
    });
    const t = d, o = x(!1), s = x(e.range ? { start: null, end: null } : null), c = x(e.range ? { start: null, end: null } : null), h = x((/* @__PURE__ */ new Date()).toLocaleString("default", { month: "long" })), v = x((/* @__PURE__ */ new Date()).getFullYear()), m = x(e.range ? { start: 0, end: 0 } : 0), y = x(e.range ? { start: 0, end: 0 } : 0), N = x(null), H = O(() => `${e.id}-input`), M = O(() => `${e.id}-popup`), f = O(() => e.mode === "date" || e.mode === "datetime"), b = O(() => e.mode === "time" || e.mode === "datetime");
    O(() => new Date(v.value, g.value));
    const g = O(() => J.indexOf(h.value)), D = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"], w = O(() => new Date(v.value, g.value).getDay()), I = O(() => {
      const u = new Date(v.value, g.value + 1, 0).getDate();
      return Array.from({ length: u }, (p, r) => new Date(v.value, g.value, r + 1));
    }), P = O(() => Array.from({ length: w.value }, (u, p) => p)), R = Array.from({ length: 24 }, (u, p) => p), L = Array.from({ length: 60 }, (u, p) => p), q = O(
      () => typeof navigator < "u" && /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
        navigator.userAgent
      )
    ), J = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"], Z = O(() => {
      const u = (/* @__PURE__ */ new Date()).getFullYear();
      return Array.from({ length: 100 }, (p, r) => u - 50 + r);
    }), le = O(() => {
      if (!f.value || !s.value) return "";
      if (e.range && s.value.start && s.value.end) {
        const u = s.value.start.toLocaleDateString("en-US"), p = s.value.end.toLocaleDateString("en-US");
        return `${u} - ${p}`;
      }
      return !e.range && s.value ? s.value.toLocaleDateString("en-US") : "";
    }), W = (u) => u instanceof Date ? u : new Date(u), A = (u) => u instanceof Date && !isNaN(u), oe = O(() => {
      if (!b.value) return "";
      const u = (p) => {
        var ee, K, ce;
        const r = ((ee = m.value) == null ? void 0 : ee[p]) ?? m.value, F = ((K = y.value) == null ? void 0 : K[p]) ?? y.value;
        return q.value ? ((ce = c.value) == null ? void 0 : ce[p]) ?? c.value : `${r.toString().padStart(2, "0")}:${F.toString().padStart(2, "0")}`;
      };
      return e.range ? `${u("start")} - ${u("end")}` : u();
    }), Q = O(() => {
      const u = le.value, p = oe.value;
      return `${u} ${p}`.trim();
    }), ye = () => o.value = !o.value, ue = () => {
      V(), we();
    }, we = () => o.value = !1, ke = () => {
      s.value = e.range ? { start: null, end: null } : null, c.value = e.range ? { start: null, end: null } : null, V();
    }, $e = (u) => {
      e.range ? s.value.start && s.value.end ? s.value = { start: u, end: null } : s.value.start ? s.value.end = u : s.value.start = u : s.value = u, V();
    }, _e = (u) => (u = W(u), e.range ? s.value.start && A(s.value.start) && u.getTime() === s.value.start.getTime() || s.value.end && A(s.value.end) && u.getTime() === s.value.end.getTime() : A(s.value) && u.getTime() === s.value.getTime()), Se = (u) => {
      u = W(u);
      const p = /* @__PURE__ */ new Date();
      return u.getDate() === p.getDate() && u.getMonth() === p.getMonth() && u.getFullYear() === p.getFullYear();
    }, xe = (u) => (u = W(u), e.range && A(s.value.start) && u.getTime() === s.value.start.getTime()), Ce = (u) => (u = W(u), e.range && A(s.value.end) && u.getTime() === s.value.end.getTime()), De = (u) => {
      if (u = W(u), e.range && A(s.value.start) && A(s.value.end)) {
        const p = s.value.start.getTime(), r = s.value.end.getTime(), F = u.getTime();
        return F > p && F < r;
      }
      return !1;
    }, Te = () => {
      let u = g.value - 1;
      u < 0 && (u = 11, v.value--), h.value = J[u], V();
    }, Me = () => {
      let u = g.value + 1;
      u > 11 && (u = 0, v.value++), h.value = J[u], V();
    }, de = (u) => {
      N.value && !N.value.contains(u.target) && o.value == !0 && ue();
    }, V = () => {
      let u = {};
      const p = (r, F, ee) => {
        r instanceof Date && !isNaN(r) || (r = /* @__PURE__ */ new Date());
        const K = new Date(r);
        return K.setUTCHours(F, ee, 0, 0), K.toISOString();
      };
      e.range ? (u.from = p(
        s.value.start,
        m.value.start,
        y.value.start
      ), u.to = p(
        s.value.end,
        m.value.end,
        y.value.end
      )) : u = p(
        s.value,
        m.value,
        y.value
      ), t("updated", u);
    };
    return Y(() => {
      e.initialDate && (e.range && e.initialDate.start && e.initialDate.end ? s.value = {
        start: new Date(e.initialDate.start),
        end: new Date(e.initialDate.end)
      } : e.initialDate.start && (s.value = { start: new Date(e.initialDate.start) })), e.range ? (m.value.start = m.value.start ?? (/* @__PURE__ */ new Date()).getHours(), m.value.end = m.value.end ?? (/* @__PURE__ */ new Date()).getHours(), y.value.start = y.value.start ?? (/* @__PURE__ */ new Date()).getMinutes(), y.value.end = y.value.end ?? (/* @__PURE__ */ new Date()).getMinutes()) : (m.value = m.value ?? (/* @__PURE__ */ new Date()).getHours(), y.value = y.value ?? (/* @__PURE__ */ new Date()).getMinutes());
    }), e.popup && Y(() => document.addEventListener("click", de)), he(() => document.removeEventListener("click", de)), (u, p) => (a(), l("div", {
      class: "inline-block relative w-full lg:w-[360px]",
      ref_key: "pickerContainer",
      ref: N
    }, [
      n("div", {
        class: "flex items-center gap-2 cursor-pointer",
        onClick: ye
      }, [
        i.popup ? k(u.$slots, "default", { key: 0 }, () => [
          n("input", {
            type: "text",
            class: "input-bordered w-full cursor-pointer input",
            placeholder: i.placeholder,
            value: Q.value,
            readonly: "",
            id: H.value
          }, null, 8, Mt),
          n("button", It, [
            X(U(qe))
          ])
        ], !0) : T("", !0)
      ]),
      o.value || !i.popup ? (a(), l("div", {
        key: 0,
        class: _(["z-50 lg:bg-base-100 md:mt-2 md:p-4 px-4 rounded-md w-full", [{ absolute: i.popup }]]),
        id: M.value
      }, [
        f.value ? (a(), l("div", Bt, [
          n("button", {
            class: "hidden md:block btn-outline btn btn-primary md:btn-sm",
            onClick: Te
          }, p[11] || (p[11] = [
            n("svg", {
              xmlns: "http://www.w3.org/2000/svg",
              class: "w-4 h-4",
              fill: "none",
              viewBox: "0 0 24 24",
              stroke: "currentColor"
            }, [
              n("path", {
                "stroke-linecap": "round",
                "stroke-linejoin": "round",
                "stroke-width": "2",
                d: "M15 19l-7-7 7-7"
              })
            ], -1)
          ])),
          z(n("select", {
            class: "border-none w-fit select",
            "onUpdate:modelValue": p[0] || (p[0] = (r) => h.value = r),
            onChange: V
          }, [
            (a(), l($, null, C(J, (r, F) => n("option", {
              key: F,
              value: r
            }, S(r), 9, Vt)), 64))
          ], 544), [
            [E, h.value]
          ]),
          z(n("select", {
            class: "border-none w-24 select",
            "onUpdate:modelValue": p[1] || (p[1] = (r) => v.value = r),
            onChange: V
          }, [
            (a(!0), l($, null, C(Z.value, (r) => (a(), l("option", {
              key: r,
              value: r
            }, S(r), 9, Pt))), 128))
          ], 544), [
            [E, v.value]
          ]),
          n("button", {
            class: "hidden md:block btn-outline btn btn-primary md:btn-sm",
            onClick: Me
          }, p[12] || (p[12] = [
            n("svg", {
              xmlns: "http://www.w3.org/2000/svg",
              class: "w-4 h-4",
              fill: "none",
              viewBox: "0 0 24 24",
              stroke: "currentColor"
            }, [
              n("path", {
                "stroke-linecap": "round",
                "stroke-linejoin": "round",
                "stroke-width": "2",
                d: "M9 5l7 7-7 7"
              })
            ], -1)
          ]))
        ])) : T("", !0),
        f.value ? (a(), l("div", At, [
          (a(), l($, null, C(D, (r) => n("div", {
            key: r,
            class: "text-center"
          }, S(r), 1)), 64)),
          (a(!0), l($, null, C(P.value, (r) => (a(), l("div", {
            key: r,
            class: "text-center"
          }))), 128)),
          (a(!0), l($, null, C(I.value, (r) => (a(), l("div", {
            key: r,
            class: _(["hover:bg-primary-10 py-1 rounded-full text-center cursor-pointer", {
              "bg-primary text-primary-content": _e(r),
              today: Se(r),
              "range-start bg-primary text-primary-content": xe(r),
              "range-end bg-primary text-primary-content": Ce(r),
              "in-range bg-primary/20 hover:bg-primary/10": De(r)
            }]),
            onClick: (F) => $e(r)
          }, S(r.getDate()), 11, zt))), 128))
        ])) : T("", !0),
        b.value ? (a(), l("div", Ut, [
          e.range ? T("", !0) : (a(), l("h3", Nt, "Select Time")),
          e.range ? (a(), l("div", Et, [
            n("div", null, [
              p[13] || (p[13] = n("p", { class: "font-bold" }, "Start Time", -1)),
              q.value ? z((a(), l("input", {
                key: 0,
                type: "time",
                class: "input-bordered w-full input",
                "onUpdate:modelValue": p[5] || (p[5] = (r) => c.value.start = r),
                onChange: V
              }, null, 544)), [
                [ne, c.value.start]
              ]) : (a(), l("div", Ht, [
                z(n("select", {
                  class: "w-full select-bordered select",
                  "onUpdate:modelValue": p[6] || (p[6] = (r) => m.value.start = r),
                  onChange: V
                }, [
                  (a(!0), l($, null, C(U(R), (r) => (a(), l("option", {
                    key: r,
                    value: r
                  }, S(r.toString().padStart(2, "0")), 9, qt))), 128))
                ], 544), [
                  [
                    E,
                    m.value.start,
                    void 0,
                    { number: !0 }
                  ]
                ]),
                z(n("select", {
                  class: "w-full select-bordered select",
                  "onUpdate:modelValue": p[7] || (p[7] = (r) => y.value.start = r),
                  onChange: V
                }, [
                  (a(!0), l($, null, C(U(L), (r) => (a(), l("option", {
                    key: r,
                    value: r
                  }, S(r.toString().padStart(2, "0")), 9, Wt))), 128))
                ], 544), [
                  [
                    E,
                    y.value.start,
                    void 0,
                    { number: !0 }
                  ]
                ])
              ]))
            ]),
            n("div", null, [
              p[14] || (p[14] = n("p", { class: "font-bold" }, "End Time", -1)),
              q.value ? z((a(), l("input", {
                key: 0,
                type: "time",
                class: "input-bordered w-full input",
                "onUpdate:modelValue": p[8] || (p[8] = (r) => c.value.end = r),
                onChange: V
              }, null, 544)), [
                [ne, c.value.end]
              ]) : (a(), l("div", Yt, [
                z(n("select", {
                  class: "w-full select-bordered select",
                  "onUpdate:modelValue": p[9] || (p[9] = (r) => m.value.end = r),
                  onChange: V
                }, [
                  (a(!0), l($, null, C(U(R), (r) => (a(), l("option", {
                    key: r,
                    value: r
                  }, S(r.toString().padStart(2, "0")), 9, Jt))), 128))
                ], 544), [
                  [
                    E,
                    m.value.end,
                    void 0,
                    { number: !0 }
                  ]
                ]),
                z(n("select", {
                  class: "w-full select-bordered select",
                  "onUpdate:modelValue": p[10] || (p[10] = (r) => y.value.end = r),
                  onChange: V
                }, [
                  (a(!0), l($, null, C(U(L), (r) => (a(), l("option", {
                    key: r,
                    value: r
                  }, S(r.toString().padStart(2, "0")), 9, Gt))), 128))
                ], 544), [
                  [
                    E,
                    y.value.end,
                    void 0,
                    { number: !0 }
                  ]
                ])
              ]))
            ])
          ])) : (a(), l("div", jt, [
            q.value ? z((a(), l("input", {
              key: 0,
              type: "time",
              class: "input-bordered w-full input",
              "onUpdate:modelValue": p[2] || (p[2] = (r) => c.value = r),
              onChange: V
            }, null, 544)), [
              [ne, c.value]
            ]) : (a(), l("div", Rt, [
              z(n("select", {
                class: "w-full select-bordered select",
                "onUpdate:modelValue": p[3] || (p[3] = (r) => m.value = r),
                onChange: V
              }, [
                (a(!0), l($, null, C(U(R), (r) => (a(), l("option", {
                  key: r,
                  value: r
                }, S(r.toString().padStart(2, "0")), 9, Lt))), 128))
              ], 544), [
                [
                  E,
                  m.value,
                  void 0,
                  { number: !0 }
                ]
              ]),
              z(n("select", {
                class: "w-full select-bordered select",
                "onUpdate:modelValue": p[4] || (p[4] = (r) => y.value = r),
                onChange: V
              }, [
                (a(!0), l($, null, C(U(L), (r) => (a(), l("option", {
                  key: r,
                  value: r
                }, S(r.toString().padStart(2, "0")), 9, Ft))), 128))
              ], 544), [
                [
                  E,
                  y.value,
                  void 0,
                  { number: !0 }
                ]
              ])
            ]))
          ]))
        ])) : T("", !0),
        n("div", Kt, [
          n("button", {
            class: _(["btn btn-secondary", i.popup ? "w-fit" : "w-full"]),
            onClick: ke
          }, "Clear", 2),
          i.popup ? (a(), l("button", {
            key: 0,
            class: "btn btn-primary btn-wide",
            onClick: ue
          }, "Close")) : T("", !0)
        ])
      ], 10, Ot)) : T("", !0)
    ], 512));
  }
}, Zt = /* @__PURE__ */ G(Xt, [["__scopeId", "data-v-488ecabe"]]), Qt = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: Zt
}, Symbol.toStringTag, { value: "Module" })), en = ["value", "checked", "onChange", "disabled"], Yn = /* @__PURE__ */ B({
  __name: "rating",
  props: {
    initialRating: { default: 0 },
    numberOfStars: { default: 5 },
    halfStars: { type: Boolean, default: !0 },
    isInteractive: { type: Boolean, default: !1 },
    size: { default: "sm" }
  },
  setup(i) {
    const d = i, e = x(d.initialRating);
    j(
      () => d.initialRating,
      (o) => {
        e.value = o;
      }
    );
    const t = (o) => {
      e.value = o;
    };
    return (o, s) => (a(), l("div", {
      class: _(["rating", [
        `rating-${d.size}`,
        { "rating-half": o.halfStars }
      ]])
    }, [
      (a(!0), l($, null, C(o.numberOfStars * (o.halfStars ? 2 : 1), (c) => (a(), l("input", {
        key: c,
        type: "radio",
        value: o.halfStars ? c * 0.5 : c,
        checked: e.value === (o.halfStars ? c * 0.5 : c),
        onChange: (h) => o.isInteractive ? t(o.halfStars ? c * 0.5 : c) : null,
        class: _(["mask mask-star", {
          "bg-yellow-400": e.value >= (o.halfStars ? c * 0.5 : c),
          "mask-half-1": o.halfStars && c % 2 !== 0,
          "mask-half-2": o.halfStars && c % 2 === 0,
          "cursor-pointer": o.isInteractive,
          "cursor-default": !o.isInteractive
        }]),
        disabled: !o.isInteractive
      }, null, 42, en))), 128))
    ], 2));
  }
}), tn = { class: "badge" }, nn = ["onClick"], an = { class: "opacity-75" }, ln = ["placeholder"], Jn = /* @__PURE__ */ B({
  __name: "taginput",
  props: {
    modelValue: {},
    maxTagAmount: {},
    placeholder: {},
    class: {}
  },
  emits: ["update:modelValue"],
  setup(i, { emit: d }) {
    const e = i, t = d, o = x([...e.modelValue]), s = e.maxTagAmount === void 0 ? -1 : e.maxTagAmount, c = x(null), h = x(""), v = O(() => s < 0 || o.value.length < s), m = () => {
      const M = h.value.trim();
      M && !o.value.includes(M) && (o.value.push(M), t("update:modelValue", o.value), h.value = "");
    }, y = (M) => {
      o.value = o.value.filter((f) => f !== M), t("update:modelValue", o.value);
    }, N = () => {
      h.value === "" && (o.value.pop(), t("update:modelValue", o.value));
    }, H = (M) => {
      M.key === "Enter" ? m() : M.key === "Backspace" && h.value === "" && N();
    };
    return j(() => e.modelValue, (M) => {
      o.value = [...M];
    }), (M, f) => (a(), l("div", {
      class: _(["flex flex-wrap gap-2 bg-base-100 shadow px-4 py-6 border border-base-content/20 rounded", M.$props.class])
    }, [
      (a(!0), l($, null, C(o.value, (b) => k(M.$slots, "tag", {
        key: b,
        tag: b
      }, () => [
        n("div", tn, [
          n("button", {
            class: "!px-1 !py-0 h-fit font-bold cursor-pointer",
            onClick: (g) => y(b),
            "aria-label": "Remove tag"
          }, "X", 8, nn),
          n("span", an, S(b), 1)
        ])
      ])), 128)),
      k(M.$slots, "input", { showInput: v.value }, () => [
        v.value ? z((a(), l("input", {
          key: 0,
          ref_key: "inputRef",
          ref: c,
          "onUpdate:modelValue": f[0] || (f[0] = (b) => h.value = b),
          type: "text",
          placeholder: M.placeholder || "Type here",
          class: "h-full input input-ghost",
          onKeydown: H,
          "aria-label": "Add tags"
        }, null, 40, ln)), [
          [ne, h.value]
        ]) : T("", !0)
      ])
    ], 2));
  }
}), Gn = /* @__PURE__ */ B({
  __name: "loader",
  props: {
    loading: { type: Boolean, default: !0 },
    size: { default: "md" },
    type: { default: "spinner" },
    color: { default: "primary" }
  },
  setup(i) {
    const d = i, e = x(d.loading);
    return j(
      () => d.loading,
      (t) => {
        e.value = t;
      }
    ), (t, o) => e.value ? (a(), l("span", {
      key: 0,
      class: _(["loading", [
        { "loading-xs": t.size === "xs" },
        { "loading-sm": t.size === "sm" },
        { "loading-md": t.size === "md" },
        { "loading-lg": t.size === "lg" },
        { "loading-xl": t.size === "xl" },
        // types
        { "loading-spinner": t.type === "spinner" },
        { "loading-dots": t.type === "dots" },
        { "loading-ring": t.type === "ring" },
        { "loading-balls": t.type === "balls" },
        { "loading-bars": t.type === "bars" },
        { "loading-infinity": t.type === "infinity" },
        // colors
        { "text-primary": t.color === "primary" },
        { "text-secondary": t.color === "secondary" },
        { "text-accent": t.color === "accent" },
        { "text-neutral": t.color === "neutral" },
        { "text-info": t.color === "info" },
        { "text-success": t.color === "success" },
        { "text-warning": t.color === "warning" },
        { "text-error": t.color === "error" }
      ]])
    }, null, 2)) : T("", !0);
  }
}), on = { class: "footer sm:footer-horizontal container" }, sn = { class: "footer-title" }, rn = ["href"], un = {
  key: 0,
  class: "sm:hidden w-full"
}, dn = { class: "border-b-2 border-base-100 last:border-b-0 w-full" }, cn = {
  tabindex: "0",
  class: "collapse collapse-plus w-full"
}, pn = { class: "collapse-title font-bold text-lg collapsible-footer-title" }, fn = { class: "collapse-content flex w-full text-sm" }, mn = { class: "flex flex-col gap-2.5" }, vn = { class: "w-full" }, gn = ["href"], hn = { class: "w-full" }, Kn = /* @__PURE__ */ B({
  __name: "footer",
  props: {
    items: {},
    background: {},
    color: {},
    collapseOnMobile: { type: Boolean, default: !1 }
  },
  setup(i) {
    const d = i;
    return (e, t) => (a(), l("div", {
      class: _(["mx-auto md:px-10 py-10 text-base-content", [e.background ?? "bg-base-200", e.color ?? "text-base-content"]])
    }, [
      n("footer", on, [
        (a(!0), l($, null, C(d.items, (o) => (a(), l("nav", {
          class: _([{ "hidden sm:grid": e.collapseOnMobile }])
        }, [
          n("h6", sn, S(o.title), 1),
          (a(!0), l($, null, C(o.items, (s) => (a(), l("a", {
            class: "link link-hover",
            href: s.link
          }, S(s.text), 9, rn))), 256))
        ], 2))), 256)),
        e.collapseOnMobile ? (a(), l("nav", un, [
          (a(!0), l($, null, C(d.items, (o) => (a(), l("ul", dn, [
            n("div", cn, [
              n("div", pn, S(o.title), 1),
              n("div", fn, [
                n("ul", mn, [
                  (a(!0), l($, null, C(o.items, (s) => (a(), l("li", vn, [
                    n("a", {
                      class: "w-full font-medium link link-hover",
                      href: s.link
                    }, S(s.text), 9, gn)
                  ]))), 256))
                ])
              ])
            ])
          ]))), 256))
        ])) : T("", !0),
        n("aside", hn, [
          k(e.$slots, "default")
        ])
      ])
    ], 2));
  }
}), bn = {}, yn = { class: "min-h-40 container hero" }, wn = { class: "px-0! text-center hero-content" }, kn = { class: "mt-9 text-4xl" };
function $n(i, d) {
  return a(), l("div", yn, [
    n("div", wn, [
      n("div", null, [
        n("h1", kn, [
          k(i.$slots, "title", {}, () => [
            d[0] || (d[0] = re("hero title"))
          ])
        ]),
        n("p", null, [
          k(i.$slots, "description", { class: "py-9" })
        ]),
        k(i.$slots, "call-to-action-block", { class: "max-w-full" }, () => [
          d[1] || (d[1] = n("button", { class: "btn btn-primary" }, "Call to action", -1))
        ])
      ])
    ])
  ]);
}
const Xn = /* @__PURE__ */ G(bn, [["render", $n]]), _n = { class: "flex flex-row place-content-center gap-4 categories" }, Sn = ["onClick"], Zn = /* @__PURE__ */ B({
  __name: "categoryNavigation",
  props: {
    searchOptions: {},
    currentCategory: {}
  },
  emits: ["update:currentCategory"],
  setup(i, { emit: d }) {
    const e = i, t = d;
    function o(s) {
      t("update:currentCategory", s);
    }
    return (s, c) => (a(), l("div", _n, [
      (a(!0), l($, null, C(e.searchOptions, (h) => (a(), l("div", {
        key: h.category
      }, [
        n("button", {
          onClick: (v) => o(h.category),
          class: _(["truncate btn btn-ghost", { "font-semibold": e.currentCategory === h.category }])
        }, S(h.category), 11, Sn)
      ]))), 128))
    ]));
  }
}), xn = { class: "md:flex hidden navbar-start" }, Cn = { class: "md:flex justify-center items-center hidden navbar-center" }, Dn = { class: "md:flex hidden navbar-end" }, Tn = { class: "navbar-bottom md:flex hidden" }, Mn = /* @__PURE__ */ B({
  __name: "navigationBar",
  props: {
    isCollapsed: { type: Boolean, default: !0 }
  },
  setup(i) {
    const d = i;
    return (e, t) => (a(), l("nav", {
      class: _(["place-items-start border-primary bg-base-100 px-5 py-5 border-b-4 transition-all navbar navigationbar", d.isCollapsed ? "collapsed" : ""])
    }, [
      n("div", xn, [
        k(e.$slots, "start", {}, void 0, !0)
      ]),
      n("div", Cn, [
        k(e.$slots, "center", {}, void 0, !0)
      ]),
      n("div", Dn, [
        k(e.$slots, "end", {}, void 0, !0)
      ]),
      n("div", Tn, [
        k(e.$slots, "bottom", {}, void 0, !0)
      ])
    ], 2));
  }
}), Qn = /* @__PURE__ */ G(Mn, [["__scopeId", "data-v-8ddb2b45"]]), In = {
  key: 0,
  class: "hidden top-4 right-0 absolute md:flex gap-4"
}, On = ["onClick", "aria-selected"], Bn = {
  key: 0,
  role: "tabpanel",
  class: "p-6 border-x-0 border-t-2 border-b-0 border-base-300 max-w-full overflow-x-auto tab-content"
}, Vn = { class: "p-6 border-x-0 border-t-2 border-b-0 border-base-300 max-w-full" }, ea = /* @__PURE__ */ B({
  __name: "tab",
  props: {
    items: {},
    withControlls: { type: Boolean, default: !1 },
    rotateTabsAfter: { default: 0 },
    buttonOnlyMode: { type: Boolean, default: !1 }
  },
  emits: ["tab-changed"],
  setup(i, { emit: d }) {
    const e = i, t = x(e.items[0]), o = d;
    function s(v) {
      t.value = v, o("tab-changed", v);
    }
    function c() {
      const m = (e.items.indexOf(t.value) + 1) % e.items.length;
      s(e.items[m]);
    }
    function h() {
      const m = (e.items.indexOf(t.value) - 1 + e.items.length) % e.items.length;
      s(e.items[m]);
    }
    return Y(() => {
      e.items && s(e.items[0]);
    }), he(() => {
      e.rotateTabsAfter && e.rotateTabsAfter > 0 && setInterval(() => {
        c();
      }, e.rotateTabsAfter * 1e3);
    }), (v, m) => (a(), l($, null, [
      n("div", {
        role: "tablist",
        class: _(["relative tabs-bordered w-full tabs tabs-lg", { "flex-nowrap overflow-x-auto": v.buttonOnlyMode }])
      }, [
        v.withControlls ? (a(), l("div", In, [
          n("button", {
            onClick: m[0] || (m[0] = (y) => h()),
            class: "cursor-pointer"
          }, "Previous"),
          n("button", {
            onClick: m[1] || (m[1] = (y) => c()),
            class: "text-primary cursor-pointer"
          }, "Next")
        ])) : T("", !0),
        (a(!0), l($, null, C(v.items, (y) => (a(), l($, null, [
          n("a", {
            type: "button",
            role: "tab",
            class: _(["min-w-max tab", y === t.value ? "bg-primary text-base-100" : ""]),
            onClick: (N) => s(y),
            "aria-selected": t.value == y
          }, S(y), 11, On),
          v.buttonOnlyMode ? T("", !0) : (a(), l("div", Bn, [
            k(v.$slots, `${y}-tab`)
          ]))
        ], 64))), 256))
      ], 2),
      n("div", Vn, [
        k(v.$slots, "default")
      ])
    ], 64));
  }
});
export {
  Rn as Accordion,
  Wn as AdvancedSearch,
  Ln as Avatar,
  Fn as Badge,
  An as ButtonComponent,
  En as Card,
  Hn as Carousel,
  qn as CarouselItem,
  Zn as CategoryNavigation,
  Zt as DatetimePicker,
  zn as Dropdown,
  Kn as Footer,
  Xn as Hero,
  Gn as Loader,
  Un as Modal,
  Qn as NavigationBar,
  Yn as Rating,
  Nn as Swap,
  ea as Tab,
  Jn as TagInput,
  jn as ThemeController
};
